Subject: Re: linux-next: build warning after merge of the staging tree

From: Gao Xiang <[email-masked]>
Date: Mon, 26 Aug 2019 19:13:02 +0800

On Mon, Aug 26, 2019 at 05:53:28PM +0800, Gao Xiang wrote:

[]

> The attempt above compiles successfully as well... And I have tried
> the following commands (Just in case...) and the result turns out
> without any difference...
> 
>  $ make ARCH=x86_64 allmodconfig
>  $ make ARCH=x86_64 -j16
> 
> and I'm so confused now... Hope to get your hints...

I think I got the warning now... Sorry, I thought it is a compile error.
I am looking into that, sorry about that...

Thanks,
Gao Xiang

> 
> Thanks,
> Gao Xiang
> 
> > 
> > Out of curiosity, are there some merge conflicts raised? Or could you give
> > me some hints (code and .config) to reproduce that? since I don't find any
> > potential issue in include/trace/events/erofs.h and fs/erofs/*... I have no
> > idea what happened and how to do next... Thank you very much!
> > 
> > Thanks,
> > Gao Xiang
> > 
> > > 
> > > Thanks,
> > > Gao Xiang
> > > 
> > > > > > 
> > > > > > Introduced by commit
> > > > > > 
> > > > > >   47e4937a4a7c ("erofs: move erofs out of staging")
> > > > > > 
> > > > > > (or, at least, exposed by it).  It needs, at least, a "struct dentry;"
> > > > > > added to the file.
> > > > > 
> > > > > Odd, why has this never been seen before when the same files were in
> > > > > drivers/staging/ and why 0-day isn't reporting this?
> > > > 
> > > > I Think it is weird since it is never failed in staging and kbuild-all 0-day ci
> > > > (my tree and you tree)....
> > > > 
> > > > > 
> > > > > Gao, can you send me a patch for this?
> > > > 
> > > > Got it, I will look into that...
> > > > 
> > > > Thanks,
> > > > Gao Xiang
> > > > 
> > > > > 
> > > > > thanks,
> > > > > 
> >